# Class CalendarEvent

java.lang.Object
com.codename1.calendar.CalendarEvent

public class CalendarEvent extends Object
A portable calendar event. Mutable setters make it convenient to create an event, while sources return detached instances so callers may safely edit.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `CalendarEvent.Availability`
  `static enum`
  `CalendarEvent.Privacy`
  `static enum`
  `CalendarEvent.Status`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CalendarEvent()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CalendarEvent`
  `addAlarm(CalendarAlarm v)`
  `CalendarEvent`
  `addAttachment(CalendarAttachment v)`
  `CalendarEvent`
  `addAttendee(CalendarAttendee v)`
  `CalendarEvent`
  `clearAlarms()`
  `CalendarEvent`
  `clearAttachments()`
  `CalendarEvent`
  `clearAttendees()`
  `CalendarEvent`
  `clearProviderData()`
  `List<CalendarAlarm>`
  `getAlarms()`
  `List<CalendarAttachment>`
  `getAttachments()`
  `List<CalendarAttendee>`
  `getAttendees()`
  `CalendarEvent.Availability`
  `getAvailability()`
  `String`
  `getCalendarId()`
  `CalendarConference`
  `getConference()`
  `String`
  `getDescription()`
  `CalendarDateTime`
  `getEnd()`
  `String`
  `getId()`
  `String`
  `getLocation()`
  `CalendarEvent.Privacy`
  `getPrivacy()`
  `Map<String,String>`
  `getProviderData()`
  `CalendarRecurrenceRule`
  `getRecurrence()`
  `String`
  `getRecurringEventId()`
  `String`
  `getSourceId()`
  `CalendarDateTime`
  `getStart()`
  `CalendarEvent.Status`
  `getStatus()`
  `String`
  `getTitle()`
  `String`
  `getUrl()`
  `String`
  `getVersion()`
  `CalendarEvent`
  `putProviderData(String k, String v)`
  `CalendarEvent`
  `removeAlarm(CalendarAlarm v)`
  `CalendarEvent`
  `removeAttachment(CalendarAttachment v)`
  `CalendarEvent`
  `removeAttendee(CalendarAttendee v)`
  `CalendarEvent`
  `removeProviderData(String key)`
  `CalendarEvent`
  `setAvailability(CalendarEvent.Availability v)`
  `CalendarEvent`
  `setCalendarId(String v)`
  `CalendarEvent`
  `setConference(CalendarConference v)`
  `CalendarEvent`
  `setDescription(String v)`
  `CalendarEvent`
  `setEnd(CalendarDateTime v)`
  `CalendarEvent`
  `setId(String v)`
  `CalendarEvent`
  `setLocation(String v)`
  `CalendarEvent`
  `setPrivacy(CalendarEvent.Privacy v)`
  `CalendarEvent`
  `setRecurrence(CalendarRecurrenceRule v)`
  `CalendarEvent`
  `setRecurringEventId(String v)`
  `CalendarEvent`
  `setSourceId(String v)`
  `CalendarEvent`
  `setStart(CalendarDateTime v)`
  `CalendarEvent`
  `setStatus(CalendarEvent.Status v)`
  `CalendarEvent`
  `setTitle(String v)`
  `CalendarEvent`
  `setUrl(String v)`
  `CalendarEvent`
  `setVersion(String v)`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CalendarEvent

    public CalendarEvent()

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public CalendarEvent setId(String v)

  - ### getCalendarId

    public String getCalendarId()

  - ### setCalendarId

    public CalendarEvent setCalendarId(String v)

  - ### getSourceId

    public String getSourceId()

  - ### setSourceId

    public CalendarEvent setSourceId(String v)

  - ### getVersion

    public String getVersion()

  - ### setVersion

    public CalendarEvent setVersion(String v)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public CalendarEvent setTitle(String v)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public CalendarEvent setDescription(String v)

  - ### getLocation

    public String getLocation()

  - ### setLocation

    public CalendarEvent setLocation(String v)

  - ### getUrl

    public String getUrl()

  - ### setUrl

    public CalendarEvent setUrl(String v)

  - ### getRecurringEventId

    public String getRecurringEventId()

  - ### setRecurringEventId

    public CalendarEvent setRecurringEventId(String v)

  - ### getStart

    public CalendarDateTime getStart()

  - ### setStart

    public CalendarEvent setStart(CalendarDateTime v)

  - ### getEnd

    public CalendarDateTime getEnd()

  - ### setEnd

    public CalendarEvent setEnd(CalendarDateTime v)

  - ### getRecurrence

    public CalendarRecurrenceRule getRecurrence()

  - ### setRecurrence

    public CalendarEvent setRecurrence(CalendarRecurrenceRule v)

  - ### getStatus

    public CalendarEvent.Status getStatus()

  - ### setStatus

    public CalendarEvent setStatus(CalendarEvent.Status v)

  - ### getAvailability

    public CalendarEvent.Availability getAvailability()

  - ### setAvailability

    public CalendarEvent setAvailability(CalendarEvent.Availability v)

  - ### getPrivacy

    public CalendarEvent.Privacy getPrivacy()

  - ### setPrivacy

    public CalendarEvent setPrivacy(CalendarEvent.Privacy v)

  - ### getConference

    public CalendarConference getConference()

  - ### setConference

    public CalendarEvent setConference(CalendarConference v)

  - ### addAttendee

    public CalendarEvent addAttendee(CalendarAttendee v)

  - ### getAttendees

    public List<CalendarAttendee> getAttendees()

  - ### removeAttendee

    public CalendarEvent removeAttendee(CalendarAttendee v)

  - ### clearAttendees

    public CalendarEvent clearAttendees()

  - ### addAlarm

    public CalendarEvent addAlarm(CalendarAlarm v)

  - ### getAlarms

    public List<CalendarAlarm> getAlarms()

  - ### removeAlarm

    public CalendarEvent removeAlarm(CalendarAlarm v)

  - ### clearAlarms

    public CalendarEvent clearAlarms()

  - ### addAttachment

    public CalendarEvent addAttachment(CalendarAttachment v)

  - ### getAttachments

    public List<CalendarAttachment> getAttachments()

  - ### removeAttachment

    public CalendarEvent removeAttachment(CalendarAttachment v)

  - ### clearAttachments

    public CalendarEvent clearAttachments()

  - ### putProviderData

    public CalendarEvent putProviderData(String k, String v)

  - ### getProviderData

    public Map<String,String> getProviderData()

  - ### removeProviderData

    public CalendarEvent removeProviderData(String key)

  - ### clearProviderData

    public CalendarEvent clearProviderData()